use strict;
use warnings;

BEGIN {
    my @devmods = qw(
        Module::Install::AuthorTests
        Module::Install::ReadmeFromPod
        Module::Install::Repository
    );
    my @not_available;

    eval q{use inc::Module::Install; 1;} or push @not_available, 'inc::Module::Install';
    for my $mod (@devmods) {
        eval qq{require $mod} or push @not_available, $mod;
    }
    if (@not_available) {
        print qq{# The following modules are not available.\n};
        print qq{# `$^X $0 | cpanm` will install them:\n};
        print $_, "\n" for @not_available;
        print "\n";
        exit -1;
    }
}

use inc::Module::Install;

name 'Sub-Rate';
all_from 'lib/Sub/Rate.pm';
readme_from 'lib/Sub/Rate.pm';

author_tests 'xt';
auto_set_repository;

test_requires 'Test::More' => '0.96';
requires 'perl' => '5.008001';
requires 'Any::Moose' => '0.18';

WriteAll;
